Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/Makefile
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/Makefile	(revision 9)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/Makefile	(revision 15)
@@ -8,9 +8,9 @@
 
 #-----[ Directory ]----------------------------------------
-DIR_MORPHEO			= ../../../..
+DIR_MORPHEO			= ../../../../..
 
-LIBRARY				= $(RegisterFile_LIBRARY)
+LIBRARY				= $(RegisterFile_Monolithic_LIBRARY)
 
-DIR_LIBRARY			= $(RegisterFile_DIR_LIBRARY)
+DIR_LIBRARY			= $(RegisterFile_Monolithic_DIR_LIBRARY)
 
 #-----[ include ]------------------------------------------
@@ -19,7 +19,7 @@
 				@$(MAKE) all_selftest
 
-library				: RegisterFile_library
+library				: RegisterFile_Monolithic_library
 
-library_clean			: RegisterFile_library_clean
+library_clean			: RegisterFile_Monolithic_library_clean
 
 include                         ../Makefile.deps
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/configuration.cfg	(revision 9)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/configuration.cfg	(revision 15)
@@ -1,3 +1,3 @@
-RegisterFile
+RegisterFile_Monolithic
 1	8 	*2	# nb_port_read
 1	4	*2	# nb_port_write
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/include/test.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/include/test.h	(revision 9)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/include/test.h	(revision 15)
@@ -4,5 +4,4 @@
  * [ Description ]
  * 
- * Test "RegisterFile"
  */
 
@@ -14,5 +13,5 @@
 #include <iostream>
 
-#include "Behavioural/Generic/RegisterFile/include/RegisterFile.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/include/RegisterFile_Monolithic.h"
 
 using namespace std;
@@ -21,5 +20,6 @@
 using namespace morpheo::behavioural::generic;
 using namespace morpheo::behavioural::generic::registerfile;
+using namespace morpheo::behavioural::generic::registerfile::registerfile_monolithic;
 
 void test   (string name,
-	     morpheo::behavioural::generic::registerfile::Parameters param);
+	     morpheo::behavioural::generic::registerfile::registerfile_monolithic::Parameters param);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/main.cpp	(revision 9)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/main.cpp	(revision 15)
@@ -6,5 +6,5 @@
  */
 
-#include "Behavioural/Generic/RegisterFile/SelfTest/include/test.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/include/test.h"
 
 #define NB_PARAMS 4
@@ -36,6 +36,6 @@
   const uint32_t size_word     = atoi(argv[5]);
   
-  morpheo::behavioural::generic::registerfile::Parameters param (nb_port_read ,
-								 nb_port_write,
+  morpheo::behavioural::generic::registerfile::registerfile_monolithic::Parameters param (nb_port_read ,
+											  nb_port_write,
 								 nb_word      ,
 								 size_word    );
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp	(revision 9)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp	(revision 15)
@@ -7,9 +7,9 @@
  */
 
-#include "Behavioural/Generic/RegisterFile/SelfTest/include/test.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/include/test.h"
 #include "Include/Test.h"
 
 void test (string name,
-	   morpheo::behavioural::generic::registerfile::Parameters param)
+	   morpheo::behavioural::generic::registerfile::registerfile_monolithic::Parameters param)
 {
   cout << "<" << name << "> : Simulation SystemC" << endl;
@@ -31,9 +31,9 @@
     }
 
-  RegisterFile * registerfile = new RegisterFile (name.c_str(),
+  RegisterFile_Monolithic * registerfile = new RegisterFile_Monolithic (name.c_str(),
 #ifdef STATISTICS
-						  morpheo::behavioural::Parameters_Statistics(5,50),
+									morpheo::behavioural::Parameters_Statistics(5,50),
 #endif
-						  param);
+									param);
   
 #ifdef SYSTEMC
@@ -58,5 +58,5 @@
    ********************************************************/
   
-  cout << "<" << name << "> Instanciation of registerFile" << endl;
+  cout << "<" << name << "> Instanciation of registerfile" << endl;
   
   (*(registerfile->in_CLOCK))        (CLOCK);
